xdriinfo(1) | General Commands Manual | xdriinfo(1)

# NAME

xdriinfo - query configuration information of DRI drivers

# SYNOPSIS

xdriinfo [-display displayname] [command]

# DESCRIPTION

xdriinfo can be used to query configuration information of direct rendering drivers. If no command argument is specified it lists the names of the direct rendering drivers for all screens.

Valid commands are:

nscreens
  Print the number of screens.

driver screen
  Print the name of the direct rendering driver for screen.

options screen|driver
  Print the XML document describing the configuration options of a driver. The driver can be specified directly by driver name or indirectly by screen number. If the driver name is specified directly then no X connection is needed.

# ENVIRONMENT

DISPLAY
  The default display.

# SEE ALSO

X(7), xdpyinfo(1), xwininfo(1), xvinfo(1), glxinfo(1), xprop(1)

# AUTHOR

Felix Kuehling

X Version 11 |